Last Comment Bug 659402 - Fullscreen video controls are broken
: Fullscreen video controls are broken
Status: VERIFIED FIXED
: regression
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: All Linux
: -- normal (vote)
: Firefox 6
Assigned To: Wesley Johnston (:wesj)
:
Mentors:
Depends on:
Blocks: 544614
  Show dependency treegraph
 
Reported: 2011-05-24 11:56 PDT by Wesley Johnston (:wesj)
Modified: 2011-06-08 04:34 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (594 bytes, text/plain)
2011-05-24 11:56 PDT, Wesley Johnston (:wesj)
mbrubeck: review+
mark.finkle: approval‑mozilla‑aurora+
Details

Description Wesley Johnston (:wesj) 2011-05-24 11:56:44 PDT
Created attachment 534854 [details]
Patch

Touch events shifted us from using Browser:MouseUp messages for clicks to Browser:MouseClick. Unfortunately, video controls redispatch their own events, and forgot to come to the party. Patch updates them.
Comment 1 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-24 12:23:20 PDT
we'll need this on aurora, so ask for approval after you get an r+
Comment 2 Wesley Johnston (:wesj) 2011-05-31 13:42:16 PDT
Comment on attachment 534854 [details]
Patch

Asking for aurora approval
Comment 3 Wesley Johnston (:wesj) 2011-05-31 14:19:34 PDT
Just to note for the aurora approval, this patch is very low risk (code only runs on Fennec, Fullscreen video mode) on and fixes a regression we introduced when we checked in touchevents.

Without it, it is impossible to control of exit fullscreen video requiring the user to quit fennec (hard to do) to get back to normal use.
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-31 16:34:30 PDT
Comment on attachment 534854 [details]
Patch

let this bake on trunk for a day or two before landing on aurora
Comment 5 Wesley Johnston (:wesj) 2011-06-06 11:27:47 PDT
Hmm... did I forget to put the first push in here?
mc: http://hg.mozilla.org/mozilla-central/rev/24f331bd335f

aurora: http://hg.mozilla.org/releases/mozilla-aurora/rev/12c44a8c34f5
Comment 6 Anna (Waverley) 2011-06-08 04:34:24 PDT
Verified Fixed on:

Mozilla /5.0 (Android;Linux armv7l;rv:7.0a1) Gecko/20110607 Firefox/7.0a1 Fennec/7.0a1 

Mozilla /5.0 (Android;Linux armv7l;rv:6.0a2) Gecko/20110607 Firefox/6.0a2 Fennec/6.0a2 

Device: HTC Desire Z (Android 2.2)

Note You need to log in before you can comment on or make changes to this bug.